Loading...
Searching...
No Matches
getdim.c File Reference

Return the dimensions and scanning mode of a grid definition. More...

`#include "grib2_int.h"`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

g2int | getdim (unsigned char *csec3, g2int *width, g2int *height, g2int *iscan)
| Return the dimensions and scanning mode of a grid definition.

## Detailed Description

Return the dimensions and scanning mode of a grid definition.

Author
  Stephen Gilbert

Date
  2002-12-11

Definition in file getdim.c.

## Function Documentation

## getdim()

g2int getdim | ( | unsigned char * | csec3,
|  | g2int * | width,
|  | g2int * | height,
|  | g2int * | iscan
| ) |  |

Return the dimensions and scanning mode of a grid definition.

Parameters

  csec3 | Character array that contains the packed GRIB2 GDS.
  width | x (or i) dimension of the grid. 0 if grid is not recognized.
  height | y (or j) dimension of the grid. 0 if grid is not recognized.
  iscan | Scanning mode (see Table 3.4). 0 of grid not recognized.

Returns
  Always returns 0.

Author
  Stephen Gilbert

Date
  2002-12-11

Definition at line 27 of file getdim.c.

References g2_unpack3().

Referenced by g2_addfield().